Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.theme
Class WindowContextFactory

    java.lang.Object
      org.jboss.portal.core.theme.WindowContextFactory

    public class WindowContextFactory

extends java.lang.Object

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Constructor Summary
`WindowContextFactory(ControllerContext context)`

Method Summary
`protected void` | `addModeActions(Window window, java.util.Map actionMap, org.jboss.portal.Mode currentMode, java.util.List supportedModes)` Create the action URLs for the allowed portlet modes of the rendered portlet window and add them to the provided actionMap.
`protected void` | `addWindowStateActions(Window window, java.util.Map actionMap, org.jboss.portal.WindowState currentWindowState, java.util.List supportedWindowStates)` Create the action URLs for the allowed window states of the rendered portlet window and add them to the provided actionMap.
`protected java.lang.String` | `createUpdateNavigationalStateURL(Window window, org.jboss.portal.Mode mode, org.jboss.portal.WindowState windowState)`
`WindowContext` | `createWindowContext(Window window, WindowRendition context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowContextFactory

    public WindowContextFactory(ControllerContext context)

Method Detail

### createWindowContext

    public WindowContext createWindowContext(Window window,
                                             WindowRendition context)

### addWindowStateActions

    protected final void addWindowStateActions(Window window,
                                               java.util.Map actionMap,
                                               org.jboss.portal.WindowState currentWindowState,
                                               java.util.List supportedWindowStates)

  Create the action URLs for the allowed window states of the rendered portlet window and add them to the provided actionMap.

### addModeActions

    protected final void addModeActions(Window window,
                                        java.util.Map actionMap,
                                        org.jboss.portal.Mode currentMode,
                                        java.util.List supportedModes)

  Create the action URLs for the allowed portlet modes of the rendered portlet window and add them to the provided actionMap.

### createUpdateNavigationalStateURL

    protected final java.lang.String createUpdateNavigationalStateURL(Window window,
                                                                      org.jboss.portal.Mode mode,
                                                                      org.jboss.portal.WindowState windowState)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD